Subject: Re: CCL:How to freeze selected cartesian

From: Steve Greatbanks <[email-masked]>
Date: Wed, 24 Nov 1999 13:16:05 +1100 (EST)

Dear Maija,

> I would appreciate your help in my problem dealing with frozen cartesian  
> coordinates with Gaussian 98. I have read the manual and tried in
> different ways without luck.
> 
> The problem is that I would like to froze some of my carteesian
> coordinates and the rest of the coordinates should move freely.
> But how this should be done in my input-file ?

There is a clear example given in the manual. The easiest way is to do
something like the following. To freeze the cartesian coordinates of the
oxygen whilst allowing the hydrogens to fully optimize; 

--start--
#p hf/3-21g opt=modredun nosym

water constrained cartesian opt using opt=modredun

0,1
o     0.000000    0.000000    0.110334
h     0.000000    0.773410   -0.441334
h     0.000000   -0.773410   -0.441334

* B
* F
2 A
3 A

--stop--

Where * B builds a set of redundant internal coordinates based on
cartesians and * F fixes all these redundants. 2 A and 3 A release the
redundant internals related to the cartesians of h2 and h3.

It is still perfectly feasible to use the old z-matrix optimiser and
fix individual cartesian coordinates; viz

--start--
#p hf/3-21g opt=z-matrix nosym

water constrained cartesian opt using opt=z-matrix
   
0,1
o  0   0.000000    0.000000    0.110334
h  0   x1 y1 z1
h  0   x2 y2 z2
   
x1  0.000000    
y1  0.773410   
z1 -0.441334
x2  0.000000   
y2 -0.773410   
z2 -0.441334

--stop--

The redundant coordinate method is more flexible than the z-matrix
optimizer in terms of the additional constraints which can be imposed, but
the opt=z-matrix representation is pretty flexible. The use of nosym in
the above jobs is deliberate and necessary if you wish to retain your
input coordinate framework.

Hope that is clearer,

Steve Greatbanks
-- 
+---------------------------------------+--+--------------------------------+
| Dr Stephen P. Greatbanks              |  |                                |
| Biochemistry & Molecular Biology      |w:| http://biocomp.anu.edu.au/~spg |
| John Curtin School of Medical Research|e:| [email-masked]    |
| Australian National University        |p:| (+61) (02) 6279 8305 (JCSMR)   |
| ACT 0200, Australia                   |  |                                |
+---------------------------------------+--+--------------------------------+